#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdint.h>
#include <string.h>
#include <stdint.h>
#include <inttypes.h>

int announcement(char *prog)
{
    union {
        unsigned long monkey;
        int buf[8];
    } u;
    int i;

    for (i = 0; i < (sizeof(u.buf) / sizeof(u.buf[0])); i++) {
        u.buf[i] = (int)prog[i];
    }
    return printf("%p ok (%p)\n",u.buf,announcement);
}

int main(int argc, char * argv[])
{
    return !(announcement(argv[0]) > 0);
}
